import { DataTemplate } from "./DataTemplate";
import { Type } from "./type";
/**
 * @hidden
 */
export interface IDataLegendSeries {
    getDataLegendBadge(): DataTemplate;
    getDataLegendBadgeContext(): any;
    getDataLegendSeriesTitle(): string;
    getDataLegendSeriesUnit(): string;
    getDataLegendValueFromCursorPosition(a: number, b: number): number;
    getDataLegendValueFromTargetAxisValue(a: any): number;
    getDataLegendAxisLabelFromCursorPosition(a: number, b: number): any;
    getDataLegendAxisLabelFromTargetAxisValue(a: any): any;
}
/**
 * @hidden
 */
export declare let IDataLegendSeries_$type: Type;
